Cannot delete vertices of polygon in shape file when using ruled based styling

2016-12-12 12:32 AM - Casper Børgesen

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.18.0 Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 23888

Description

My collegue came to me with this issue that he cannot delete vertices of a polygon residing in a shape file. After doing some tests I

determined that is was because he was using ruled based styling on the layer.

Steps to reproduce:

    1. Create a shape file with polygon geometry type.

    2. Create a polygon.

    3. Try to delete a vertex. Should work.

    4. Undo the vertex deletion.

    5. Set the polygon layer styling to Rule based.

    6. Try to delete the same vertex. Doesn't work for us.

This affects QGIS 2.18.0 and 2.18.1 (both x64 on Windows 7) but it seems to work in 2.19.0 (1d80925).

History

#1 - 2016-12-12 01:22 AM - Casper Børgesen

Well I tried again with 2.19.0 (commit:1d80925) and it doesn't work there either.

#2 - 2016-12-12 04:07 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category set to Digitising

Cannot confirm here on the same platform. Please attach a sample project+data to allow try replicate locally.

#3 - 2016-12-12 04:21 AM - Casper Børgesen

- File polygons.dbf added

- File test_project.qgs added

- File polygons.prj added

- File polygons.shx added

- File polygons.shp added

Sure, here you go. I just cleared my .qgis2 folder to make sure it wasn't a plugin causing havoc on my QGIS installation - it didn't help.
#4 - 2016-12-15 07:56 AM - Saber Razmjooei

It works fine in QGIS 2.18.1 with your data.

Worth creating a screencast as following the steps from the ticket does not replicate the issue.

#5 - 2017-01-02 07:21 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.

Files

test_project.qgs 21.5 KB 2016-12-12 Casper Børgesen

polygons.dbf 76 Bytes 2016-12-12 Casper Børgesen

polygons.prj 143 Bytes 2016-12-12 Casper Børgesen

polygons.shp 316 Bytes 2016-12-12 Casper Børgesen

polygons.shx 108 Bytes 2016-12-12 Casper Børgesen
